React UI Components Documentation
ReactJS Calendar Component
The Calendar component for ReactJS represents a widget that enables the user to select a date using a visual monthly calendar display.
Prerequisites
Refer to ReactJS Getting Started before you start with this help topic.
Configuration
The Calendar component for ReactJS requires the following imports.
import React from 'react';import ReactDOM from 'react-dom'; import JqxCalendar from 'jqwidgets-react/react_jqxcalendar.js';
Then we create our component class. Properties and methods are put as ReactJS props.
Finally we render our class in the desired HTML element:
ReactDOM.render(<App />, document.getElementById('app'));
Events Methods & Properties
In order to bind to any event, change any property or call any method, we need a reference to the component.
For that we use the ReactJS "ref" Callback Attribute:
<JqxCalendar ref='myCalendar' width={220} height={220}..... />
Now, when we have a reference, we need to call the desired event/property/method.
This is done in the componentDidMount() ReactJS Component Lifecycle method.
class App extends React.Component { componentDidMount() { //your logic } render () { return ( .... ) }};
Events
The change event is triggered when the Calendar's selection is changed.
The following example demonstrates how to add an event listener:
Methods & Properties
This is how you call methods & props:
Every component have a method setOptions which accepts a object as an argument. This object contains component settings.
Every component also have a method getOptions which returns a object containing the component settings.
Calendar Examples
Overview
The following example demonstrates how to create a Calendar component.
Disabled Calendar
The following example demonstrates how to disable the Calendar component.

Vue UI Components Documentation

Vue Calendar Component

The Calendar component for Vue represents a set of buttons that can work as normal buttons, radio buttons or checkboxes.

Prerequisites

Refer to Vue Getting Started before you start with this help topic.

Configuration

After you have created your App.vue file, here is how you should structure it:

The Calendar component for Vue requires the following import:

import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';

Add the jqxCalendar component to the components section of the the Vue class:

 components: {
JqxCalendar
},

Template

The App.vue has a <template> structural tag where we determine the application structure. There we will also set the tags for the new components - <JqxCalendar/>

<template>
<JqxCalendar :width="220" :height="220"
:selectionMode="'range'" :value="value">
</JqxCalendar>
</template>

Properties

The properties of the <JqxCalendar/> component are defined in the data member of the Vue class. We should put them in the return object of the data function:

data: function () {
return {
value: new Date(2016, 7, 7)
}
}

Events

The events in Vue are set as an attribute with @ prefix, for example:

<JqxCalendar @change="myCalendarOnChange($event)"
:width="220" :height="220"
:selectionMode="'range'" :value="value">
</JqxCalendar>

All events that are bound to a component are implemented in the methods member of the Vue class.

methods: {
myCalendarOnChange: function (event) {
// Do something...
}
}

Methods

To use a component's method we should have its reference. In Vue we refer to a component by the special $refs property. Before that we need to add the desired name reference to that component:

<JqxCalendar ref="calendar"></JqxCalendar>

Here how you can use a component's method:

this.$refs.calendar.refresh();

methods: {
// Add here all used callbacks and/or events
myCalendarOnChange: function (event) {
// Do something on changing the calendar
this.$refs.calendar.refresh();
}
}

If we want to add additional methods we should also implement them in the methods member.

In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate member. It depends on the case.

If you have followed the above steps, you App.vue file would look like this:

App.vue:

Calendar Examples

<template>
<div>
<JqxCalendar ref="myCalendar" @change="myCalendarOnChange($event)"
:width="220" :height="220"
:selectionMode="'range'" :value="value">
</JqxCalendar>
<div ref="log"></div>
</div>
</template>
<script>
import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
export default {
components: {
JqxCalendar
},
data: function () {
return {
value: new Date(2016, 7, 7)
}
},
mounted: function () {
let date1 = new Date();
date1.setFullYear(2016, 7, 7);
let date2 = new Date();
date2.setFullYear(2016, 7, 15);
this.$refs.myCalendar.setRange(date1, date2);
},
methods: {
myCalendarOnChange: function (event) {
let selection = event.args.range;
this.$refs.log.innerHTML = '<div>From: ' + selection.from.toLocaleDateString() + ' <br/>To: ' + selection.to.toLocaleDateString() + '</div>';
}
}
}
</script>
<style>
</style>

Run Code

Angular UI Components Documentation

Angular Calendar Component

The Calendar component for Angular represents a widget that enables the user to select a date using a visual monthly calendar display.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<jqxCalendar [theme]="'fluent'" [width]="220" [height]="220"></jqxCalendar>	

3. Setup Component Logic

app.component.ts


import { Component } from '@angular/core';

import { jqxCalendarModule, jqxCalendarComponent } from 'jqwidgets-ng/jqxcalendar';
@Component({
    selector: 'app-root',
    imports: [jqxCalendarModule],
    standalone: true,
    templateUrl: './app.component.html'
})

export class AppComponent {

}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

Calendar API

API Reference of the jQWidgets Calendar component for Angular: Calendar API